Info.Default
Keywords: net.corda.core.cordapp.Cordapp.Info.Default class
Date: 2023-09-18

net.corda.core.cordapp

## Class Info.Default

- net.corda.core.cordapp.Cordapp.Info.Default

- Enclosing interface:
    Cordapp.Info

      public static class Info.Default

  CorDapps created on V3 which bundle contracts and flows into the same jar. This is effectively `class Info.ContractAndWorkflow` but without the integer versioning.

  See Also:
    `class Info.ContractAndWorkflow`

- - ### Constructor Detail

    - #### Default

          public Default(@NotNull
                         java.lang.String shortName,
                         @NotNull
                         java.lang.String vendor,
                         @NotNull
                         java.lang.String version,
                         @NotNull
                         java.lang.String licence)

      CorDapps created on V3 which bundle contracts and flows into the same jar. This is effectively `class Info.ContractAndWorkflow` but without the integer versioning.

      Parameters:
        `shortName` - Cordapp's name
        `vendor` - Cordapp's vendor
        `version` - Cordapp's version
      See Also:
        `class Info.ContractAndWorkflow`

  - ### Method Detail

    - #### hasUnknownFields

          public boolean hasUnknownFields()

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### getShortName

          @NotNull
          public java.lang.String getShortName()

      Cordapp

      's name

    - #### getVendor

          @NotNull
          public java.lang.String getVendor()

      Cordapp

      's vendor

    - #### getVersion

          @NotNull
          public java.lang.String getVersion()

      Cordapp

      's version

    - #### getLicence

          @NotNull
          public java.lang.String getLicence()

    - #### component1

          @NotNull
          public java.lang.String component1()

      Cordapp

      's name

    - #### component2

          @NotNull
          public java.lang.String component2()

      Cordapp

      's vendor

    - #### component3

          @NotNull
          public java.lang.String component3()

      Cordapp

      's version

    - #### component4

          @NotNull
          public java.lang.String component4()

    - #### copy

          @NotNull
          public net.corda.core.cordapp.Cordapp.Info.Default copy(@NotNull
                                                                           java.lang.String shortName,
                                                                           @NotNull
                                                                           java.lang.String vendor,
                                                                           @NotNull
                                                                           java.lang.String version,
                                                                           @NotNull
                                                                           java.lang.String licence)

      CorDapps created on V3 which bundle contracts and flows into the same jar. This is effectively `class Info.ContractAndWorkflow` but without the integer versioning.

      See Also:
        `class Info.ContractAndWorkflow`

    - #### hashCode

          public int hashCode()

      CorDapps created on V3 which bundle contracts and flows into the same jar. This is effectively `class Info.ContractAndWorkflow` but without the integer versioning.

      See Also:
        `class Info.ContractAndWorkflow`

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      CorDapps created on V3 which bundle contracts and flows into the same jar. This is effectively `class Info.ContractAndWorkflow` but without the integer versioning.

      See Also:
        `class Info.ContractAndWorkflow`